"""
__init__.py - Zope class registration

Version:      1.0
Author:       Danny W. Adair
Last updated: 15 March 2004
License:      ZPL
"""

__doc__ = '''ZFSPath - local file system object for Zope'''

import ZFSPath

def initialize(context):
    try:
        context.registerClass(ZFSPath.ZFSPath,
                              permission='Add ZFSPaths',
                              constructors=(ZFSPath.manage_addZFSPathForm,
                                            ZFSPath.manage_addZFSPath),
			      icon='images/ZFSPath.gif'
			     )
    except:
        import traceback
        traceback.print_exc()
